<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwConfigs: fwAlertConfig.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwConfigs
   &#160;<span id="projectnumber">8.4.6</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('fwAlertConfig_8ctl.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">fwAlertConfig.ctl File Reference<div class="ingroups"><a class="el" href="group__fwConfigsAlert.html">fwAlertConfig</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader">Utility functions</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p>Used to access the configuration object attributes (object of type dyn_mixed). </p>
</div></td></tr>
<tr class="memitem:ga5096102df9cc469bd50deb145ecbe9a5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga5096102df9cc469bd50deb145ecbe9a5">fwAlertConfig_objectInitialize</a> (dyn_mixed &amp;paramsObject, int totalRanges)</td></tr>
<tr class="separator:ga5096102df9cc469bd50deb145ecbe9a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2050994c4a3d8c24ca076d32d26ce4d8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga2050994c4a3d8c24ca076d32d26ce4d8">fwAlertConfig_objectConfigExists</a> (dyn_mixed alertConfigObject, int &amp;configType, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga2050994c4a3d8c24ca076d32d26ce4d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga954fafa0c87d5580811b36a110185b56"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga954fafa0c87d5580811b36a110185b56">fwAlertConfig_objectCreateAnalog</a> (dyn_mixed &amp;alertConfigObject, dyn_string alertTexts, dyn_float alertLimits, dyn_string alertClasses, string alertPanel, dyn_string alertPanelParameters, string alertHelp, dyn_bool limitsIncluded, dyn_string &amp;exceptionInfo, bool modifyOnly=FALSE, bool fallBackToSet=FALSE, string addDpeInSummary=&quot;&quot;, bool storeInParamHistory=TRUE)</td></tr>
<tr class="separator:ga954fafa0c87d5580811b36a110185b56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa830571c9db4af547dd385ffd3ac6b45"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gaa830571c9db4af547dd385ffd3ac6b45">fwAlertConfig_objectCreateDigital</a> (dyn_mixed &amp;alertConfigObject, dyn_string alertTexts, dyn_string alertClasses, string alertPanel, dyn_string alertPanelParameters, string alertHelp, dyn_string &amp;exceptionInfo, bool modifyOnly=FALSE, bool fallBackToSet=FALSE, string addDpeInSummary=&quot;&quot;, bool storeInParamHistory=TRUE)</td></tr>
<tr class="separator:gaa830571c9db4af547dd385ffd3ac6b45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaec073739c507fd092784b4b3d1218b55"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gaec073739c507fd092784b4b3d1218b55">fwAlertConfig_objectCreateDiscrete</a> (dyn_mixed &amp;alertConfigObject, dyn_string alertTexts, dyn_string alertMatch, dyn_string alertClasses, string alertPanel, dyn_string alertPanelParameters, string alertHelp, bool impulse, dyn_bool discreteNegation, string stateBits, dyn_string stateMatch, dyn_string &amp;exceptionInfo, bool modifyOnly=FALSE, bool fallBackToSet=FALSE, string addDpeInSummary=&quot;&quot;, bool storeInParamHistory=TRUE)</td></tr>
<tr class="separator:gaec073739c507fd092784b4b3d1218b55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaab14413f67f98da4dcffb687bae3ca35"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gaab14413f67f98da4dcffb687bae3ca35">fwAlertConfig_objectCreateSummary</a> (dyn_mixed &amp;alertConfigObject, dyn_string alertTexts, int threshold, dyn_string alertClasses, dyn_string summaryDpeList, string alertPanel, dyn_string alertPanelParameters, string alertHelp, dyn_string &amp;exceptionInfo, bool modifyOnly=FALSE, bool fallBackToSet=FALSE, string addDpeInSummary=&quot;&quot;, bool storeInParamHistory=TRUE)</td></tr>
<tr class="separator:gaab14413f67f98da4dcffb687bae3ca35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac156cf26a26e7c233848c60fbb7eea79"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gac156cf26a26e7c233848c60fbb7eea79">fwAlertConfig_objectExtractAnalog</a> (dyn_mixed alertConfigObject, int &amp;alertType, dyn_string &amp;alertTexts, dyn_float &amp;alertLimits, dyn_string &amp;alertClasses, string &amp;alertPanel, dyn_string &amp;alertPanelParameters, string &amp;alertHelp, dyn_bool &amp;limitsIncluded, bool &amp;isActive, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gac156cf26a26e7c233848c60fbb7eea79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga23acdb2c4ddeead9488ca531aed040b1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga23acdb2c4ddeead9488ca531aed040b1">fwAlertConfig_objectExtractType</a> (dyn_mixed alertConfigObject, int &amp;alertType, bool &amp;isActive, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga23acdb2c4ddeead9488ca531aed040b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf4d3e7747d5f090de1732dd2ac9bafea"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gaf4d3e7747d5f090de1732dd2ac9bafea">fwAlertConfig_objectExtractDiscrete</a> (dyn_mixed alertConfigObject, int &amp;alertType, dyn_string &amp;alertTexts, dyn_string &amp;alertMatches, dyn_string &amp;alertClasses, string &amp;alertPanel, dyn_string &amp;alertPanelParameters, string &amp;alertHelp, bool &amp;isDiscrete, bool &amp;impulse, dyn_bool &amp;discreteNegation, string &amp;stateBits, dyn_string &amp;stateMatch, bool &amp;isActive, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gaf4d3e7747d5f090de1732dd2ac9bafea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae6dee4ea7baba5e7be3af31370fe16cd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gae6dee4ea7baba5e7be3af31370fe16cd">fwAlertConfig_objectExtractDigital</a> (dyn_mixed alertConfigObject, int &amp;alertType, dyn_string &amp;alertTexts, dyn_string &amp;alertClasses, string &amp;alertPanel, dyn_string &amp;alertPanelParameters, string &amp;alertHelp, bool &amp;isActive, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gae6dee4ea7baba5e7be3af31370fe16cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga04b9a5660bd130e2e997f177b80df6b6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga04b9a5660bd130e2e997f177b80df6b6">fwAlertConfig_objectExtractSummary</a> (dyn_mixed alertConfigObject, int &amp;alertType, dyn_string &amp;alertTexts, dyn_string &amp;summaryDpeList, int &amp;threshold, string &amp;alertClass, string &amp;alertPanel, dyn_string &amp;alertPanelParameters, string &amp;alertHelp, bool &amp;isActive, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga04b9a5660bd130e2e997f177b80df6b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Set/Get functions</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p>Used to set/get the alarm settings to/from the dpe. The settings are stored into the settings object. </p>
</div></td></tr>
<tr class="memitem:gac6d3e3b653c354eb51177b3cc1e7b904"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gac6d3e3b653c354eb51177b3cc1e7b904">fwAlertConfig_objectSet</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dyn_mixed alertConfigObject, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gac6d3e3b653c354eb51177b3cc1e7b904"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga73008cfc793fe6b77e0a14dcf2701be2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga73008cfc793fe6b77e0a14dcf2701be2">fwAlertConfig_objectSetMany</a> (dyn_string &amp;dpes, dyn_dyn_mixed &amp;alertConfigObjects, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga73008cfc793fe6b77e0a14dcf2701be2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae7108b6c3d24eb348d2c117267ed3050"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gae7108b6c3d24eb348d2c117267ed3050">fwAlertConfig_objectGet</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dyn_mixed &amp;alertConfigObject, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gae7108b6c3d24eb348d2c117267ed3050"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga28866e95ce6c793d0ee08a9a3c22ade0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga28866e95ce6c793d0ee08a9a3c22ade0">fwAlertConfig_isAlertFilteringActive</a> ()</td></tr>
<tr class="separator:ga28866e95ce6c793d0ee08a9a3c22ade0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab59330e2c540f211cb4a3b1e4c802794"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gab59330e2c540f211cb4a3b1e4c802794">fwAlertConfig_objectGetMany</a> (dyn_string &amp;dpes, dyn_dyn_mixed &amp;alertConfigObjects, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gab59330e2c540f211cb4a3b1e4c802794"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5ac5c99bf205f8a51f060923ac9c3156"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga5ac5c99bf205f8a51f060923ac9c3156">fwAlertConfig_deleteMultiple</a> (dyn_string dpes, dyn_string &amp;exceptionInfo, string removeDpeInSummary=&quot;&quot;, bool storeInParamHistory=TRUE)</td></tr>
<tr class="separator:ga5ac5c99bf205f8a51f060923ac9c3156"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7026ba6fd58fe79aefdb724ef9d027fa"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga7026ba6fd58fe79aefdb724ef9d027fa">fwAlertConfig_deleteMany</a> (dyn_string dpes, dyn_string &amp;exceptionInfo, string removeDpeInSummary=&quot;&quot;, bool storeInParamHistory=TRUE)</td></tr>
<tr class="separator:ga7026ba6fd58fe79aefdb724ef9d027fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga533076dc4bebb8b9b75427fccc3c905a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga533076dc4bebb8b9b75427fccc3c905a">fwAlertConfig_delete</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dyn_string &amp;exceptionInfo, string removeDpeInSummary=&quot;&quot;, bool storeInParamHistory=TRUE)</td></tr>
<tr class="separator:ga533076dc4bebb8b9b75427fccc3c905a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1d783b4d28c8d7503f61fb3a76397183"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga1d783b4d28c8d7503f61fb3a76397183">fwAlertConfig_getAlertClasses</a> (dyn_string searchSystems, dyn_string &amp;alertClassDps, dyn_int &amp;acknowledgeTypes, dyn_int &amp;priorities, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga1d783b4d28c8d7503f61fb3a76397183"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabe554a9aac007ba109dae844101f2571"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gabe554a9aac007ba109dae844101f2571">_fwAlertConfig_prepareDigital</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, int currentConfigType, dyn_string alertTexts, dyn_string alertClasses, int minimumPriority, string alertPanel, dyn_string alertPanelParameters, string alertHelp, dyn_string &amp;attributes, dyn_mixed &amp;values, dyn_string &amp;exceptionInfo, bool modifyOnly=FALSE, bool fallBackToSet=FALSE)</td></tr>
<tr class="separator:gabe554a9aac007ba109dae844101f2571"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf91224870614cd690c4aff0b5ade7e06"><td class="memItemLeft" align="right" valign="top">
&#160;</td><td class="memItemRight" valign="bottom"><b>_fwAlertConfig_generateExtraAnalogConfig</b> (int ranges, dyn_float limits, dyn_int &amp;alertHandlingTypes, dyn_float &amp;hysteresisLimits, dyn_bool &amp;hysteresisType, dyn_bool &amp;includeLimits, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gaf91224870614cd690c4aff0b5ade7e06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3997cd382b3ca5f58779646f7627fd72"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga3997cd382b3ca5f58779646f7627fd72">_fwAlertConfig_prepareAnalog</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, int currentConfigType, int currentNumberOfRanges, dyn_int alertHandlingType, dyn_float limits, dyn_string alertTexts, dyn_string alertClasses, dyn_bool includeLimits, int minimumPriority, string alertPanel, dyn_string alertPanelParameters, string alertHelp, dyn_int hysteresisType, dyn_float hysteresisLimits, dyn_string &amp;attributes, dyn_mixed &amp;values, dyn_string &amp;exceptionInfo, bool modifyOnly=FALSE, bool fallBackToSet=FALSE, dyn_string alertWentTexts=makeDynString())</td></tr>
<tr class="separator:ga3997cd382b3ca5f58779646f7627fd72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8d762091d94384d393ab12cb2b538033"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga8d762091d94384d393ab12cb2b538033">_fwAlertConfig_prepareAnalogDiscrete</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, int currentConfigType, int currentNumberOfRanges, dyn_int alertHandlingType, dyn_string limitsMatch, dyn_string alertTexts, dyn_string alertClasses, int minimumPriority, string alertPanel, dyn_string alertPanelParameters, string alertHelp, bool impulse, dyn_bool discreteNegation, dyn_string stateBits, dyn_string stateMatch, dyn_string &amp;attributes, dyn_mixed &amp;values, dyn_string &amp;exceptionInfo, bool modifyOnly=FALSE, bool fallBackToSet=FALSE, dyn_string alertWentTexts=makeDynString())</td></tr>
<tr class="separator:ga8d762091d94384d393ab12cb2b538033"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabaa6e5b7d4eb6084eca91ab61489711a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gabaa6e5b7d4eb6084eca91ab61489711a">_fwAlertConfig_prepareDigitalDiscrete</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, int currentConfigType, dyn_string alertTexts, dyn_string alertClasses, int minimumPriority, string alertPanel, dyn_string alertPanelParameters, string alertHelp, bool impulse, dyn_string stateBits, dyn_string &amp;attributes, dyn_mixed &amp;values, dyn_string &amp;exceptionInfo, bool modifyOnly=FALSE, bool fallBackToSet=FALSE)</td></tr>
<tr class="separator:gabaa6e5b7d4eb6084eca91ab61489711a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab891e9c2b6f6338f4621e09c86cf42d9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gab891e9c2b6f6338f4621e09c86cf42d9">_fwAlertConfig_get</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, int &amp;alertType, dyn_string &amp;alertTexts, dyn_float &amp;alertLimits, dyn_string &amp;alertClass, dyn_string &amp;summaryDpeList, string &amp;alertPanel, dyn_string &amp;alertPanelParameters, string &amp;alertHelp, bool &amp;alertActive, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gab891e9c2b6f6338f4621e09c86cf42d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga88cbe1e9ac8b61410b745716153db9b5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga88cbe1e9ac8b61410b745716153db9b5">_fwAlertConfig_getDiscrete</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, int &amp;alertType, dyn_string &amp;alertTexts, dyn_float &amp;alertLimits, dyn_string &amp;alertClass, string &amp;alertPanel, dyn_string &amp;alertPanelParameters, string &amp;alertHelp, bool &amp;alertActive, bool &amp;discrete, bool &amp;impulse, dyn_bool &amp;discreteNegation, string &amp;stateBits, dyn_string &amp;stateMatch, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga88cbe1e9ac8b61410b745716153db9b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeb6c63d7b42c650d886144effd8e0f66"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gaeb6c63d7b42c650d886144effd8e0f66">fwAlertConfig_addDpInAlertSummary</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, string dpeToAdd, dyn_string &amp;exceptionInfo, bool errorIfPresent=TRUE, bool storeInParamHistory=TRUE)</td></tr>
<tr class="separator:gaeb6c63d7b42c650d886144effd8e0f66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae83bc2b9a1e5ab671376a3c1b9006468"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gae83bc2b9a1e5ab671376a3c1b9006468">fwAlertConfig_deleteDpFromAlertSummary</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, string dpeToDelete, dyn_string &amp;exceptionInfo, bool errorIfNotPresent=TRUE, bool storeInParamHistory=TRUE)</td></tr>
<tr class="separator:gae83bc2b9a1e5ab671376a3c1b9006468"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gade520e840acde7ce3b61cacdfc377d4b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gade520e840acde7ce3b61cacdfc377d4b">fwAlertConfig_checkIsDpInAlertSummary</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, string dpeToLookFor, bool &amp;dpeFound, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gade520e840acde7ce3b61cacdfc377d4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga85da775b612a2815d1159c5df9497769"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga85da775b612a2815d1159c5df9497769">_fwAlertConfig_prepareSummary</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, int currentConfigType, float threshold, dyn_string alertTexts, dyn_string dpElementList, int minimumPriority, string alertPanel, dyn_string alertPanelParameters, string alertHelp, dyn_string &amp;attributes, dyn_mixed &amp;values, dyn_string &amp;exceptionInfo, bool modifyOnly=FALSE, bool fallBackToSet=FALSE)</td></tr>
<tr class="separator:ga85da775b612a2815d1159c5df9497769"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Activation functions</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p>Used to activate, deactivate, acknowledge alarms. </p>
</div></td></tr>
<tr class="memitem:ga7238d13bc08af6ea2ca9ced63977606e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga7238d13bc08af6ea2ca9ced63977606e">fwAlertConfig_acknowledge</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dyn_string &amp;exceptionInfo, bool checkIfExists=TRUE, bool storeInParamHistory=FALSE)</td></tr>
<tr class="separator:ga7238d13bc08af6ea2ca9ced63977606e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaba233942d97a47342260e0f31c242fd4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gaba233942d97a47342260e0f31c242fd4">fwAlertConfig_acknowledgeMany</a> (dyn_string dpes, dyn_string &amp;exceptionInfo, bool checkIfExists=TRUE, bool storeInParamHistory=FALSE)</td></tr>
<tr class="separator:gaba233942d97a47342260e0f31c242fd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga04e3424461990608953346b50c658856"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga04e3424461990608953346b50c658856">fwAlertConfig_activate</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dyn_string &amp;exceptionInfo, bool checkIfExists=TRUE, bool storeInParamHistory=FALSE)</td></tr>
<tr class="separator:ga04e3424461990608953346b50c658856"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga04ef8dd6a79ee79e436049b84ea6c2bc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga04ef8dd6a79ee79e436049b84ea6c2bc">fwAlertConfig_activateMultiple</a> (dyn_string dpes, dyn_string &amp;exceptionInfo, bool checkIfExists=TRUE, bool storeInParamHistory=FALSE)</td></tr>
<tr class="separator:ga04ef8dd6a79ee79e436049b84ea6c2bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga60a2fd6ef8f71d5f0e07088f9893b7e8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga60a2fd6ef8f71d5f0e07088f9893b7e8">fwAlertConfig_deactivate</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dyn_string &amp;exceptionInfo, bool acknowledge=TRUE, bool checkIfExists=TRUE, bool storeInParamHistory=FALSE)</td></tr>
<tr class="separator:ga60a2fd6ef8f71d5f0e07088f9893b7e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab55c483f5c88b2ce46a4d764b6257bf4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gab55c483f5c88b2ce46a4d764b6257bf4">fwAlertConfig_deactivateMultiple</a> (dyn_string dpes, dyn_string &amp;exceptionInfo, bool acknowledge=TRUE, bool checkIfExists=TRUE, bool storeInParamHistory=FALSE)</td></tr>
<tr class="separator:gab55c483f5c88b2ce46a4d764b6257bf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafdd875dd684831840cc5f6ea8cc02d5b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gafdd875dd684831840cc5f6ea8cc02d5b">_fwAlertConfig_activateOrDeactivate</a> (dyn_string dpes, bool activate, dyn_string &amp;exceptionInfo, bool acknowledgeOnDeactivate=TRUE, bool checkIfExists=TRUE, bool storeInParamHistory=FALSE)</td></tr>
<tr class="separator:gafdd875dd684831840cc5f6ea8cc02d5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6d9a2041dc9883e2622b842ebe20b36e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga6d9a2041dc9883e2622b842ebe20b36e">_fwAlertConfig_checkLimits</a> (dyn_float limitValues, bool &amp;limitsOk, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga6d9a2041dc9883e2622b842ebe20b36e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0d0d958c7d615e2ad4e759818e08f752"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga0d0d958c7d615e2ad4e759818e08f752">_fwAlertConfig_checkClassPriorities</a> (dyn_string systemsToCheck, dyn_string &amp;alertClasses, bool &amp;classesOk, dyn_string &amp;exceptionInfo, bool useAlternativeClassPriorities=FALSE)</td></tr>
<tr class="separator:ga0d0d958c7d615e2ad4e759818e08f752"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9b29e74fc56e10eb4db57a31d74176e4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga9b29e74fc56e10eb4db57a31d74176e4">fwAlertConfig_generateAbsoluteLimitsMany</a> (dyn_string dpes, int limitsType, dyn_dyn_mixed relativeLimits, dyn_dyn_mixed &amp;absoluteLimits, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga9b29e74fc56e10eb4db57a31d74176e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga71c62e7571788662cf1cc459967ff795"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga71c62e7571788662cf1cc459967ff795">fwAlertConfig_generateAbsoluteLimitsMultiple</a> (dyn_string dpes, int limitsType, dyn_mixed relativeLimits, dyn_dyn_mixed &amp;absoluteLimits, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga71c62e7571788662cf1cc459967ff795"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9f7a79738bc825ac38eea55abbf255b6"><td class="memItemLeft" align="right" valign="top">
&#160;</td><td class="memItemRight" valign="bottom"><b>_fwAlertConfig_checkAlertClasses</b> (dyn_dyn_string &amp;alertClasses, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga9f7a79738bc825ac38eea55abbf255b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad802749b6b37ac885a7b25bf9645e434"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gad802749b6b37ac885a7b25bf9645e434">_fwAlertConfig_createDpeAlertConfigObject</a> (dyn_dyn_anytype &amp;dpeAlertConfigObject, string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, int type, bool active, dyn_float limits, dyn_string classes, dyn_string texts, string panel, dyn_string panelParameters, string help, dyn_string &amp;exceptionInfo, int dpeType=-1)</td></tr>
<tr class="separator:gad802749b6b37ac885a7b25bf9645e434"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9fba1ccdd862b14dab8c79707d08a442"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga9fba1ccdd862b14dab8c79707d08a442">_fwAlertConfig_readDpeAlertConfigObject</a> (dyn_dyn_anytype dpeAlertConfigObject, string &amp;<a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, int &amp;type, bool &amp;active, dyn_float &amp;limits, dyn_string &amp;classes, dyn_string &amp;texts, string &amp;panel, dyn_string &amp;panelParameters, string &amp;help, dyn_string &amp;exceptionInfo, int &amp;dpeType)</td></tr>
<tr class="separator:ga9fba1ccdd862b14dab8c79707d08a442"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabf6b4ba032b5035283c5984bd982c12b"><td class="memItemLeft" align="right" valign="top">
&#160;</td><td class="memItemRight" valign="bottom"><b>fwAlertConfig_queryAlertsOnSystem</b> (string systemName, dyn_dyn_string &amp;alertData, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gabf6b4ba032b5035283c5984bd982c12b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader">Alarm Settings object indexes</h2></td></tr>
<tr><td class="ititle" colspan="2"><p><a class="anchor" id="amgrpc818556fb12f323e70a407467e260b63"></a>Used to access directly the alert settings object (object of type dyn_mixed). For advanced use. </p>
</td></tr>
<tr class="memitem:ga17914b06b77bf96305ecaec401caf705"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga17914b06b77bf96305ecaec401caf705">fwAlertConfig_ALERT_LIMIT_TEXT</a> = 1</td></tr>
<tr class="memdesc:ga17914b06b77bf96305ecaec401caf705"><td class="mdescLeft">&#160;</td><td class="mdescRight">Text of the alarm range.  <a href="group__fwConfigsAlert.html#ga17914b06b77bf96305ecaec401caf705">More...</a><br /></td></tr>
<tr class="separator:ga17914b06b77bf96305ecaec401caf705"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad1d1017162b2605e9d628689a3be5aab"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gad1d1017162b2605e9d628689a3be5aab">fwAlertConfig_ALERT_LIMIT_VALUE</a> = 2</td></tr>
<tr class="memdesc:gad1d1017162b2605e9d628689a3be5aab"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value of the alarm range.  <a href="group__fwConfigsAlert.html#gad1d1017162b2605e9d628689a3be5aab">More...</a><br /></td></tr>
<tr class="separator:gad1d1017162b2605e9d628689a3be5aab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7fb7ca92fb3df5423e3795d2daa10c5e"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga7fb7ca92fb3df5423e3795d2daa10c5e">fwAlertConfig_ALERT_LIMIT_VALUE_INCLUDED</a> = 3</td></tr>
<tr class="memdesc:ga7fb7ca92fb3df5423e3795d2daa10c5e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Specify if the value of the alarm range must be included.  <a href="group__fwConfigsAlert.html#ga7fb7ca92fb3df5423e3795d2daa10c5e">More...</a><br /></td></tr>
<tr class="separator:ga7fb7ca92fb3df5423e3795d2daa10c5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaafa512305602817bca9515c594d3f365"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gaafa512305602817bca9515c594d3f365">fwAlertConfig_ALERT_LIMIT_CLASS</a> = 4</td></tr>
<tr class="memdesc:gaafa512305602817bca9515c594d3f365"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class of the alarm range.  <a href="group__fwConfigsAlert.html#gaafa512305602817bca9515c594d3f365">More...</a><br /></td></tr>
<tr class="separator:gaafa512305602817bca9515c594d3f365"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga38a4d286cf8b818345290f7882334187"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga38a4d286cf8b818345290f7882334187">fwAlertConfig_ALERT_LIMIT_VALUE_MATCH</a> = 5</td></tr>
<tr class="memdesc:ga38a4d286cf8b818345290f7882334187"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value to match for the alarm range.  <a href="group__fwConfigsAlert.html#ga38a4d286cf8b818345290f7882334187">More...</a><br /></td></tr>
<tr class="separator:ga38a4d286cf8b818345290f7882334187"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8f8874f5d35c797b29579bae8870609f"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga8f8874f5d35c797b29579bae8870609f">fwAlertConfig_ALERT_LIMIT_NEGATION</a> = 8</td></tr>
<tr class="memdesc:ga8f8874f5d35c797b29579bae8870609f"><td class="mdescLeft">&#160;</td><td class="mdescRight">If true, the value to match for the alarm range is negated.  <a href="group__fwConfigsAlert.html#ga8f8874f5d35c797b29579bae8870609f">More...</a><br /></td></tr>
<tr class="separator:ga8f8874f5d35c797b29579bae8870609f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5ad1411a70d95af3aae36c1a66ecfa3a"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga5ad1411a70d95af3aae36c1a66ecfa3a">fwAlertConfig_ALERT_LIMIT_STATE_BITS</a> = 9</td></tr>
<tr class="memdesc:ga5ad1411a70d95af3aae36c1a66ecfa3a"><td class="mdescLeft">&#160;</td><td class="mdescRight">State bits values that must match.  <a href="group__fwConfigsAlert.html#ga5ad1411a70d95af3aae36c1a66ecfa3a">More...</a><br /></td></tr>
<tr class="separator:ga5ad1411a70d95af3aae36c1a66ecfa3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga44153813120c6f0a402d4a259bce4af2"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga44153813120c6f0a402d4a259bce4af2">fwAlertConfig_ALERT_LIMIT_LIMITS_STATE_BITS</a> = 10</td></tr>
<tr class="memdesc:ga44153813120c6f0a402d4a259bce4af2"><td class="mdescLeft">&#160;</td><td class="mdescRight">State bits values that must match for a specific range.  <a href="group__fwConfigsAlert.html#ga44153813120c6f0a402d4a259bce4af2">More...</a><br /></td></tr>
<tr class="separator:ga44153813120c6f0a402d4a259bce4af2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga088985ca9bc01fb4675f1ee8b5f3ce2d"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga088985ca9bc01fb4675f1ee8b5f3ce2d">fwAlertConfig_ALERT_LIMIT_TEXT_WENT</a> = 11</td></tr>
<tr class="memdesc:ga088985ca9bc01fb4675f1ee8b5f3ce2d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Text of the alarm range.  <a href="group__fwConfigsAlert.html#ga088985ca9bc01fb4675f1ee8b5f3ce2d">More...</a><br /></td></tr>
<tr class="separator:ga088985ca9bc01fb4675f1ee8b5f3ce2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4c1fc94eb6fc981f3c01297bc3f6e018"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga4c1fc94eb6fc981f3c01297bc3f6e018">fwAlertConfig_ALERT_LIMIT_HYSTERESIS_UP</a> = 12</td></tr>
<tr class="memdesc:ga4c1fc94eb6fc981f3c01297bc3f6e018"><td class="mdescLeft">&#160;</td><td class="mdescRight">Upper hysteresis limit.  <a href="group__fwConfigsAlert.html#ga4c1fc94eb6fc981f3c01297bc3f6e018">More...</a><br /></td></tr>
<tr class="separator:ga4c1fc94eb6fc981f3c01297bc3f6e018"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2667edc67adfa30f09be08a4c9f8242c"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga2667edc67adfa30f09be08a4c9f8242c">fwAlertConfig_ALERT_LIMIT_HYSTERESIS_LOW</a> = 13</td></tr>
<tr class="memdesc:ga2667edc67adfa30f09be08a4c9f8242c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lower hysteresis limit.  <a href="group__fwConfigsAlert.html#ga2667edc67adfa30f09be08a4c9f8242c">More...</a><br /></td></tr>
<tr class="separator:ga2667edc67adfa30f09be08a4c9f8242c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0c064f2e697bdaa642bb3d0da40abb56"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga0c064f2e697bdaa642bb3d0da40abb56">fwAlertConfig_ALERT_PARAM_TYPE</a> = 1</td></tr>
<tr class="memdesc:ga0c064f2e697bdaa642bb3d0da40abb56"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type of alarm.  <a href="group__fwConfigsAlert.html#ga0c064f2e697bdaa642bb3d0da40abb56">More...</a><br /></td></tr>
<tr class="separator:ga0c064f2e697bdaa642bb3d0da40abb56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac3a202cbb9fe72db24e40ff529e668dc"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gac3a202cbb9fe72db24e40ff529e668dc">fwAlertConfig_ALERT_PARAM_SUM_DPE_LIST</a> = 2</td></tr>
<tr class="memdesc:gac3a202cbb9fe72db24e40ff529e668dc"><td class="mdescLeft">&#160;</td><td class="mdescRight">List of DPEs in summary alerts.  <a href="group__fwConfigsAlert.html#gac3a202cbb9fe72db24e40ff529e668dc">More...</a><br /></td></tr>
<tr class="separator:gac3a202cbb9fe72db24e40ff529e668dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3166540d0e1ced4e92e7f5a89ee46762"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga3166540d0e1ced4e92e7f5a89ee46762">fwAlertConfig_ALERT_PARAM_ADD_DPE_TO_SUMMARY</a> = 3</td></tr>
<tr class="memdesc:ga3166540d0e1ced4e92e7f5a89ee46762"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add the new alert in a summary alert.  <a href="group__fwConfigsAlert.html#ga3166540d0e1ced4e92e7f5a89ee46762">More...</a><br /></td></tr>
<tr class="separator:ga3166540d0e1ced4e92e7f5a89ee46762"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga514a91fe4eaa436a5ce3e1b413dd8c8c"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga514a91fe4eaa436a5ce3e1b413dd8c8c">fwAlertConfig_ALERT_PARAM_SUM_THRESHOLD</a> = 4</td></tr>
<tr class="memdesc:ga514a91fe4eaa436a5ce3e1b413dd8c8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Threshold filter parameter for the sum alerts.  <a href="group__fwConfigsAlert.html#ga514a91fe4eaa436a5ce3e1b413dd8c8c">More...</a><br /></td></tr>
<tr class="separator:ga514a91fe4eaa436a5ce3e1b413dd8c8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf63f1733759f2c3532bac4d9e9855257"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gaf63f1733759f2c3532bac4d9e9855257">fwAlertConfig_ALERT_PARAM_PANEL</a> = 5</td></tr>
<tr class="memdesc:gaf63f1733759f2c3532bac4d9e9855257"><td class="mdescLeft">&#160;</td><td class="mdescRight">Displays the file path of the panel.  <a href="group__fwConfigsAlert.html#gaf63f1733759f2c3532bac4d9e9855257">More...</a><br /></td></tr>
<tr class="separator:gaf63f1733759f2c3532bac4d9e9855257"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga64270513a37b7459791ded683ebcb935"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga64270513a37b7459791ded683ebcb935">fwAlertConfig_ALERT_PARAM_PANEL_PARAMETERS</a> = 6</td></tr>
<tr class="memdesc:ga64270513a37b7459791ded683ebcb935"><td class="mdescLeft">&#160;</td><td class="mdescRight">$-parameters to be passed when calling the panel  <a href="group__fwConfigsAlert.html#ga64270513a37b7459791ded683ebcb935">More...</a><br /></td></tr>
<tr class="separator:ga64270513a37b7459791ded683ebcb935"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1c2f51b7dee66597eb48f86f0aa363e6"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga1c2f51b7dee66597eb48f86f0aa363e6">fwAlertConfig_ALERT_PARAM_HELP</a> = 7</td></tr>
<tr class="memdesc:ga1c2f51b7dee66597eb48f86f0aa363e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Information concerning the alert.  <a href="group__fwConfigsAlert.html#ga1c2f51b7dee66597eb48f86f0aa363e6">More...</a><br /></td></tr>
<tr class="separator:ga1c2f51b7dee66597eb48f86f0aa363e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga57f091878102b6e08e5c3f9270a218f1"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga57f091878102b6e08e5c3f9270a218f1">fwAlertConfig_ALERT_PARAM_DISCRETE</a> = 8</td></tr>
<tr class="memdesc:ga57f091878102b6e08e5c3f9270a218f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set to true if discrete alarm.  <a href="group__fwConfigsAlert.html#ga57f091878102b6e08e5c3f9270a218f1">More...</a><br /></td></tr>
<tr class="separator:ga57f091878102b6e08e5c3f9270a218f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga14df504d607069d77c8c70226ba38f95"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga14df504d607069d77c8c70226ba38f95">fwAlertConfig_ALERT_PARAM_IMPULSE</a> = 9</td></tr>
<tr class="memdesc:ga14df504d607069d77c8c70226ba38f95"><td class="mdescLeft">&#160;</td><td class="mdescRight">set to true if impulse alarm  <a href="group__fwConfigsAlert.html#ga14df504d607069d77c8c70226ba38f95">More...</a><br /></td></tr>
<tr class="separator:ga14df504d607069d77c8c70226ba38f95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab3c6487db7237f8a44768b210ec8350c"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gab3c6487db7237f8a44768b210ec8350c">fwAlertConfig_ALERT_PARAM_MODIFY_ONLY</a> = 10</td></tr>
<tr class="memdesc:gab3c6487db7237f8a44768b210ec8350c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set to true to modify alert without setting "type" attributes.  <a href="group__fwConfigsAlert.html#gab3c6487db7237f8a44768b210ec8350c">More...</a><br /></td></tr>
<tr class="separator:gab3c6487db7237f8a44768b210ec8350c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga12e01a08d9923a83822924d7a6db99b8"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga12e01a08d9923a83822924d7a6db99b8">fwAlertConfig_ALERT_PARAM_FALLBACK_TO_SET</a> = 11</td></tr>
<tr class="memdesc:ga12e01a08d9923a83822924d7a6db99b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used in combination with modifyOnly.  <a href="group__fwConfigsAlert.html#ga12e01a08d9923a83822924d7a6db99b8">More...</a><br /></td></tr>
<tr class="separator:ga12e01a08d9923a83822924d7a6db99b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga11f89618efc1190b36c4098e9300b9cc"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga11f89618efc1190b36c4098e9300b9cc">fwAlertConfig_ALERT_PARAM_STORE_IN_HISTORY</a> = 12</td></tr>
<tr class="memdesc:ga11f89618efc1190b36c4098e9300b9cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">if the change should be stored in the Paramterisation History  <a href="group__fwConfigsAlert.html#ga11f89618efc1190b36c4098e9300b9cc">More...</a><br /></td></tr>
<tr class="separator:ga11f89618efc1190b36c4098e9300b9cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga777917bd75840a995cbdc3cac260e691"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga777917bd75840a995cbdc3cac260e691">fwAlertConfig_ALERT_PARAM_RANGES</a> = 13</td></tr>
<tr class="memdesc:ga777917bd75840a995cbdc3cac260e691"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of alarm ranges.  <a href="group__fwConfigsAlert.html#ga777917bd75840a995cbdc3cac260e691">More...</a><br /></td></tr>
<tr class="separator:ga777917bd75840a995cbdc3cac260e691"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5afd9d2cda1f42705cbaeeeb77f34a37"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga5afd9d2cda1f42705cbaeeeb77f34a37">fwAlertConfig_ALERT_PARAM_ACTIVE</a> = 14</td></tr>
<tr class="memdesc:ga5afd9d2cda1f42705cbaeeeb77f34a37"><td class="mdescLeft">&#160;</td><td class="mdescRight">alarm active  <a href="group__fwConfigsAlert.html#ga5afd9d2cda1f42705cbaeeeb77f34a37">More...</a><br /></td></tr>
<tr class="separator:ga5afd9d2cda1f42705cbaeeeb77f34a37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3261662be85d88a0e6be55d17b3c8120"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga3261662be85d88a0e6be55d17b3c8120">fwAlertConfig_ALERT_PARAM</a> = 1</td></tr>
<tr class="separator:ga3261662be85d88a0e6be55d17b3c8120"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf7929ae9d3ce25c958479f4d9f55d002"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#gaf7929ae9d3ce25c958479f4d9f55d002">fwAlertConfig_ALERT_LIMIT</a> = 2</td></tr>
<tr class="memdesc:gaf7929ae9d3ce25c958479f4d9f55d002"><td class="mdescLeft">&#160;</td><td class="mdescRight">Limits configuration object.  <a href="group__fwConfigsAlert.html#gaf7929ae9d3ce25c958479f4d9f55d002">More...</a><br /></td></tr>
<tr class="separator:gaf7929ae9d3ce25c958479f4d9f55d002"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga55c7b9dac4e507501452e56a7e445613"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsAlert.html#ga55c7b9dac4e507501452e56a7e445613">_fwAlertConfig_objectCreateParams</a> (dyn_dyn_anytype &amp;alarmParams, dyn_dyn_anytype &amp;<a class="el" href="fwAlertConfig__Examples_8ctl.html#ae426989f71a1a628d4e1bce3ce7ebd5e">alarmLimits</a>, int totalRanges)</td></tr>
<tr class="separator:ga55c7b9dac4e507501452e56a7e445613"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library contains function associated with the alert handling config. Functions are provided for getting the current settings, deleting the config and for creating or altering the config Seperate functions for digital, analog and summary type alerts are available. <b>Note:</b> In order to set/get alarms, it is recommended to use the new functions <a class="el" href="group__fwConfigsAlert.html#gac6d3e3b653c354eb51177b3cc1e7b904">fwAlertConfig_objectSet()</a>, <a class="el" href="group__fwConfigsAlert.html#gae7108b6c3d24eb348d2c117267ed3050">fwAlertConfig_objectGet()</a>, <a class="el" href="group__fwConfigsAlert.html#ga73008cfc793fe6b77e0a14dcf2701be2">fwAlertConfig_objectSetMany()</a>, <a class="el" href="group__fwConfigsAlert.html#gab59330e2c540f211cb4a3b1e4c802794">fwAlertConfig_objectGetMany()</a>. See the functions for use examples.</p>
<dl class="section user"><dt>Creation Date</dt><dd>14/03/2000</dd></dl>
<dl class="section user"><dt>Modification History</dt><dd></dd></dl>
<p>23/10/2015 Jean-Charles Tournier</p><ul>
<li>@jira{FWCORE-3219} fwAlertConfig - Problem when setting multiple discrete analog alarm each with a different number of ranges</li>
</ul>
<p>04/08/2014 Marco Boccioli</p><ul>
<li>@jira{FWCORE-3126} Hysteresis alarms: _fwAlertConfig_generateExtraAnalogConfig(), <a class="el" href="group__fwConfigsAlert.html#gab59330e2c540f211cb4a3b1e4c802794">fwAlertConfig_objectGetMany()</a>, <a class="el" href="group__fwConfigsAlert.html#ga73008cfc793fe6b77e0a14dcf2701be2">fwAlertConfig_objectSetMany()</a> modified to support hysteresis thresholds for analog alarms.</li>
</ul>
<p>07/08/2012 Marco Boccioli</p><ul>
<li>@jira{FWCORE-3178} <a class="el" href="group__fwConfigsAlert.html#ga55c7b9dac4e507501452e56a7e445613">_fwAlertConfig_objectCreateParams()</a>, fwAlertConfig_objectCreate*() for text parameters, use langString instead of string</li>
</ul>
<p>07/08/2012 Marco Boccioli</p><ul>
<li>@jira{FWCORE-3151}: <a class="el" href="group__fwConfigsAlert.html#gaab14413f67f98da4dcffb687bae3ca35">fwAlertConfig_objectCreateSummary()</a>, function declared void returns a value</li>
</ul>
<p>07/08/2012 Marco Boccioli</p><ul>
<li>@jira{FWCORE-3097}: adapt to set of values for discrete alert. <a class="el" href="group__fwConfigsAlert.html#ga8d762091d94384d393ab12cb2b538033">_fwAlertConfig_prepareAnalogDiscrete()</a> detects if the values to match are a range (i.e.: 5-9) or a set (i.e.: 2,4,5). If set, converts values to array of int.</li>
</ul>
<p>11/05/2012 Marco Boccioli</p><ul>
<li>@jira{FWCORE-3093}: improved documentation.</li>
<li>@jira{FWCORE-3094}: on <a class="el" href="group__fwConfigsAlert.html#gab59330e2c540f211cb4a3b1e4c802794">fwAlertConfig_objectGetMany()</a>, ddmAlertLimit[j][fwAlertConfig_ALERT_LIMIT_VALUE] = 0 changed to ddmAlertLimit[j][fwAlertConfig_ALERT_LIMIT_VALUE] = FALSE;</li>
</ul>
<p>14/09/2011 Marco Boccioli</p><ul>
<li>@sav{86729}: fwAlertConfig: move deprecated functions to a separate library <a class="el" href="fwAlertConfigDeprecated_8ctl.html">fwAlertConfigDeprecated.ctl</a></li>
<li>@sav{86692}: add func to get alert type. Added function fwAlertConfig_objectGetType()</li>
<li>@sav{86693}: improve help documentation. Improved documentation, adding markups for user's manual.</li>
</ul>
<p>12/08/2011 Marco Boccioli</p><ul>
<li>@sav{85462}: Functions *_setMany and *_getMany with parameters as reference.</li>
</ul>
<p>28/07/2011 Marco Boccioli</p><ul>
<li>@sav{84905}: Discrete alarms: alarm not working if range has more than one value. The problem was on the rfact that discrete alarms have 2 types: _SET (for values like "1,3,4") and _MATCH (for values lie "12" or "12-23"). Modified functions: <a class="el" href="group__fwConfigsAlert.html#gab59330e2c540f211cb4a3b1e4c802794">fwAlertConfig_objectGetMany()</a> now needs to make a further scan of dpGet: once to get the type of discrete alarm, once to get the value from attribute _set or _match, according to the type. <a class="el" href="group__fwConfigsAlert.html#ga8d762091d94384d393ab12cb2b538033">_fwAlertConfig_prepareAnalogDiscrete()</a> now sets the discrete value to _set or to _match, according to the ype of value (coma-separated or range or single).. Such feature is temporarely disabled because of bug on PVSS 3.8.2 (@jira{ETM-826}).</li>
</ul>
<p>18/07/2011 Marco Boccioli</p><ul>
<li>@jira{JCOP-121}: <a class="el" href="group__fwConfigsAlert.html#gab59330e2c540f211cb4a3b1e4c802794">fwAlertConfig_objectGetMany()</a> - strange error returned in exceptionInfo. The way the exception is thrown was corrected.</li>
</ul>
<p>24/03/2011 Marco Boccioli</p><ul>
<li>fix for @sav{79936} (modifying alert results in deactivating the alert). The object setting parameter fwAlertConfig_ALERT_PARAM_ACTIVE cannot be used any more as setting, otherwise it overwrites the active status of the alarm in case of modification of the settings. fwAlertConfig_ALERT_PARAM_ACTIVE is now available Read Only.</li>
</ul>
<p>16/02/2011 Marco Boccioli</p><ul>
<li>fix for @sav{78303} (cannot add decimals to limits).</li>
</ul>
<p>09/02/2011 Marco Boccioli</p><ul>
<li>fix for @sav{77977} (sum alarm threshold is not applied when using fwAlertConfig_set).</li>
</ul>
<p>25/11/2010 Marco Boccioli</p><ul>
<li>fix for @jira{JCOP-62} and @sav{75697} (set an alarm with the JCOP fwConfigs function): modified function <a class="el" href="group__fwConfigsAlert.html#ga3997cd382b3ca5f58779646f7627fd72">_fwAlertConfig_prepareAnalog()</a>: It now checks if the Went text is filled. If not, it does not set at all the attribute _went_text. This avoids problems if setting alarm on a dist system running on PVSS 3.6.</li>
</ul>
<p>11/10/2010 Marco Boccioli</p><ul>
<li>fix for bug @sav{73869}: Error printed when setting binary alerts. The function <a class="el" href="group__fwConfigsAlert.html#ga73008cfc793fe6b77e0a14dcf2701be2">fwAlertConfig_objectSetMany()</a> was looking for .._num_ranges also for binary alert (that don't have it)</li>
</ul>
<p>09/08/2010 Marco Boccioli</p><ul>
<li>fix for bug @sav{71138}: the <a class="el" href="group__fwConfigsAlert.html#gac6d3e3b653c354eb51177b3cc1e7b904">fwAlertConfig_objectSet()</a> was shifting the limits.</li>
</ul>
<p>12/07/2010 Marco Boccioli</p><ul>
<li>fix for bug @sav{48354}: the "went" text can be set using <a class="el" href="group__fwConfigsAlert.html#gac6d3e3b653c354eb51177b3cc1e7b904">fwAlertConfig_objectSet()</a>.</li>
<li>fix for bug @sav{68528}: the "included" limits are available if using <a class="el" href="group__fwConfigsAlert.html#gac6d3e3b653c354eb51177b3cc1e7b904">fwAlertConfig_objectSet()</a>.</li>
<li>fix for bug @sav{21219}: <a class="el" href="group__fwConfigsAlert.html#gab59330e2c540f211cb4a3b1e4c802794">fwAlertConfig_objectGetMany()</a> is making use of dpGet 3 times, regardless from the amount of dpes. 3 times faster than <a class="el" href="fwAlertConfigDeprecated_8ctl.html#a5d54f167ef938f9c573d0724df6827ff">fwAlertConfig_getMany()</a>.</li>
<li>improvement for bug @sav{67230}: created new set of functions (fwAlertConfig_object...). Those functions allow setting an alarm by means of an object. The user should:<ul>
<li>initialize the object (<a class="el" href="group__fwConfigsAlert.html#ga5096102df9cc469bd50deb145ecbe9a5">fwAlertConfig_objectInitialize()</a>)</li>
<li>populate the object with alarm settings (fwAlertConfig_objectCreate...)</li>
<li>apply the object to the dpe(s) (<a class="el" href="group__fwConfigsAlert.html#gac6d3e3b653c354eb51177b3cc1e7b904">fwAlertConfig_objectSet()</a>). In order to read alarm settings:</li>
<li>get the settings from dpe(s) (<a class="el" href="group__fwConfigsAlert.html#gae7108b6c3d24eb348d2c117267ed3050">fwAlertConfig_objectGet()</a>)</li>
<li>extract the settings from the object (fwAlertConfig_objectExtract...) Elements of an object can be accessed directly using the indexes provided below ("indexes for alarm limits object" and "indexes for alarm parameters object")</li>
</ul>
</li>
<li>fix for bug @sav{67230}: added optional parameters for discrete alarms to <a class="el" href="fwAlertConfigDeprecated_8ctl.html#ab25b0ac3d7b5cbf042f83eb14918d96a">fwAlertConfig_set()</a>, <a class="el" href="fwAlertConfigDeprecated_8ctl.html#afcc3a65cb646dc86296b957f269ffa95">fwAlertConfig_setMany()</a>, <a class="el" href="fwAlertConfigDeprecated_8ctl.html#ae7ef9d11eb1dbf1527db0dfc9fb4918b">fwAlertConfig_setMultiple()</a>. For back-compatibility, nothing was added to <a class="el" href="fwAlertConfigDeprecated_8ctl.html#a0a5732832fb8ea01ba7de9b201449221">fwAlertConfig_get()</a> and <a class="el" href="fwAlertConfigDeprecated_8ctl.html#a5d54f167ef938f9c573d0724df6827ff">fwAlertConfig_getMany()</a> (discrete alarms details cannot be retrieved with those functions). In order to get discrete alarms, added functions: <a class="el" href="fwAlertConfigDeprecated_8ctl.html#accdc8f8545b57a851c8fe4c1b8a6f7b0">fwAlertConfig_getDiscrete()</a>. For consistency, added also: <a class="el" href="fwAlertConfigDeprecated_8ctl.html#a53f5d4922f2ca552a04b55de7d78c3ca">fwAlertConfig_setDiscrete()</a>.</li>
</ul>
<p>05/05/2010 Marco Boccioli</p><ul>
<li>fix for bug @sav{66963}: modified the call of <a class="el" href="fwAlertConfigDeprecated_8ctl.html#ab25b0ac3d7b5cbf042f83eb14918d96a">fwAlertConfig_set()</a> at fwAlertConfig_deleteDpFromAlertSumma()ry and <a class="el" href="group__fwConfigsAlert.html#gaeb6c63d7b42c650d886144effd8e0f66">fwAlertConfig_addDpInAlertSummary()</a>.</li>
</ul>
<p>10/03/2010 Marco Boccioli</p><ul>
<li>fix for bug @sav{62428}: On <a class="el" href="group__fwConfigsAlert.html#ga85da775b612a2815d1159c5df9497769">_fwAlertConfig_prepareSummary()</a>, added a few lines: now, if the dpElementList is empty, the function removes the _dp_list and cleans the _dp_pattern.</li>
</ul>
<p>16/01/2004 Oliver Holme (IT-CO)</p><ul>
<li>Added new functions for activate/deactivate/acknowledge and set/getLimits</li>
</ul>
<p>15/01/2004 Oliver Holme (IT-CO)</p><ul>
<li>Completed major overhaul of whole library</li>
</ul>
<p>05/05/2000 Herve Milcent</p><ul>
<li>problem with a summary alert with an empty list of dp, add a dummy dp to avoid it when creating the alert sum: compCreateAlertConfigSum</li>
</ul>
<dl class="section user"><dt>Constraints</dt><dd>WARNING: the functions use the dpGet or dpSetWait, problems may occur when using these functions in a working function called by a PVSS (dpConnect) or in a calling function</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="section author"><dt>Author</dt><dd>Oliver Holme (IT-CO) based on original by Herve Milcent, Niko Karlsson based on libMLDBEH_ANLEGEN.ctl </dd></dl>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwAlertConfig_8ctl.html">fwAlertConfig.ctl</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
